Python
import os
from meibel import MeibelClient
client = MeibelClient(api_key=os.environ["MEIBEL_API_KEY"])
job = client.documents.get_deep_transform_status(
job_id="dtj_8f3c2a1e9b7d4f6a",
)
print(f"status: {job.status}")
if job.status == "succeeded":
print(f"artifacts: {job.artifacts}")
if job.metrics:
print(f"wall_ms: {job.metrics.wall_ms}")
elif job.status == "failed":
print(f"error: {job.error}")const client = new MeibelClient({ apiKey: process.env.MEIBEL_API_KEY });
const job = await client.documents.getDeepTransformStatus("dtjob_8f3c2a1b");
console.log(`Status: ${job.status}`);
if (job.status === "succeeded") {
console.log(`Artifacts: ${job.artifacts.join(", ")}`);
console.log(`Wall time (ms): ${job.metrics?.wallMs}`);
} else if (job.status === "failed") {
console.log(`Error: ${job.error}`);
}package main
import (
"context"
"fmt"
"os"
v2 "github.com/meibel-ai/meibel-go/v2"
)
func main() {
client := v2.NewClient(v2.WithAPIKey(os.Getenv("MEIBEL_API_KEY")))
job, err := client.Documents.GetDeepTransformStatus(context.Background(), "job_9f3a2c7b1e4d")
if err != nil {
panic(err)
}
fmt.Printf("Status: %s\n", job.Status)
if job.Status == "succeeded" {
fmt.Printf("Artifacts: %v\n", job.Artifacts)
}
}curl --request GET \
--url https://api.meibel.ai/v2/documents/deep-transform/{job_id} \
--header 'Meibel-API-Key: <api-key>'const options = {method: 'GET', headers: {'Meibel-API-Key': '<api-key>'}};
fetch('https://api.meibel.ai/v2/documents/deep-transform/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>",
"status": "<string>",
"artifacts": [
"<string>"
],
"metrics": {
"wall_ms": 123,
"floor_ms": 123,
"llm_concurrency_peak": 123,
"identity_resolution_rate": 123,
"orphan_count": 123,
"dangling_edge_count": 123,
"fragmented_count": 123,
"scalar_conflicts_unresolved": 123,
"uncovered_entity_count": 123,
"failed_unit_count": 123
},
"aeq": {},
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Deep transform
Get deep-transform job status
Check status and, once succeeded, the list of downloadable artifacts.
GET
/
documents
/
deep-transform
/
{job_id}
Python
import os
from meibel import MeibelClient
client = MeibelClient(api_key=os.environ["MEIBEL_API_KEY"])
job = client.documents.get_deep_transform_status(
job_id="dtj_8f3c2a1e9b7d4f6a",
)
print(f"status: {job.status}")
if job.status == "succeeded":
print(f"artifacts: {job.artifacts}")
if job.metrics:
print(f"wall_ms: {job.metrics.wall_ms}")
elif job.status == "failed":
print(f"error: {job.error}")const client = new MeibelClient({ apiKey: process.env.MEIBEL_API_KEY });
const job = await client.documents.getDeepTransformStatus("dtjob_8f3c2a1b");
console.log(`Status: ${job.status}`);
if (job.status === "succeeded") {
console.log(`Artifacts: ${job.artifacts.join(", ")}`);
console.log(`Wall time (ms): ${job.metrics?.wallMs}`);
} else if (job.status === "failed") {
console.log(`Error: ${job.error}`);
}package main
import (
"context"
"fmt"
"os"
v2 "github.com/meibel-ai/meibel-go/v2"
)
func main() {
client := v2.NewClient(v2.WithAPIKey(os.Getenv("MEIBEL_API_KEY")))
job, err := client.Documents.GetDeepTransformStatus(context.Background(), "job_9f3a2c7b1e4d")
if err != nil {
panic(err)
}
fmt.Printf("Status: %s\n", job.Status)
if job.Status == "succeeded" {
fmt.Printf("Artifacts: %v\n", job.Artifacts)
}
}Authorizations
Path Parameters
Response
Successful Response
Deep-transform job id
queued | running | succeeded | failed
Names of the artifacts available for download once the job succeeds
Run metrics (timing, counts)
Show child attributes
Show child attributes
Extraction quality (AEQ) summary
Failure reason when status is failed
Was this page helpful?
⌘I